Admin/Update Survey
PUT /v1/admin/surveys/{id}

Update Survey

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/surveys/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "survey": {
         "status": "blocked"
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path

Response

survey▾
object
id
string
name
string
status
string
config▾
object
repeat_key
string
termination_key
string
timeout
integer
max_attempts
integer
messages▾
object
invalid▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
repeat▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
thank_you▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
timeout▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
outbound_enabled
boolean
questions▾
array
id
string
sequence
integer
title
string
type
string
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
scale_min
null | integer
scale_max
null | integer
classification▾
null | array
label
string
from
integer
to
integer
sentiment
string
opt_for_agent_performance
boolean Only ever true for `type = "csat"` questions; always false for other types.
created_at
string
updated_at
string